Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ld returned 1 exit status when emerging evolution
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
shanehou
n00b
n00b


Joined: 13 Jul 2013
Posts: 29

PostPosted: Thu Aug 15, 2013 12:45 pm    Post subject: ld returned 1 exit status when emerging evolution Reply with quote

I faced some problems when emeging gnome-applets: https://forums.gentoo.org/viewtopic-t-967094-highlight-.html

As it shows, the problem seems to occur on 'libgweather', so then I did some searching, finding out it might be the version problem. It suggested to emerge gnome-panel-3.6.2. So then I added 3 lines the /etc/portage/package.mask:
Code:

=gnome-base/gnome-panel-3.6.2-r1
=dev-libs/libgweather-3.8.2:2/3-3
=dev-libs/libgweather-3.8.1:2/3-3


So sorry that I was wrong about those error... libgweather 3.6.2 was emerged successfully, but it suggested to run 'emerge @preserved-rebuild', and this command went into some errors.
The error is 'collect2: error: ld returned 1 exit status' is when emerging evolution-data-server-3.8.4-r1:
build.log: http://tny.cz/57663292
environment: http://tny.cz/e2ac8b72

I tried to emerge gnome-panel again(3.6.2), the error turned to 'panel-run-dialog.c:45:50: fatal error: libgnome-desktop/gnome-desktop-utils.h: No such file or directory':
build.log: http://tny.cz/ba583384
environment: http://tny.cz/6b9032a9




I really don't know why this is so complicated, I just want to emerge gnome-applets. But it seems everywhere I go, there's always some errors that I can't solve.
_________________
A man with two right arms.


Last edited by shanehou on Thu Aug 15, 2013 1:32 pm; edited 1 time in total
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Thu Aug 15, 2013 1:11 pm    Post subject: Reply with quote

Your first URL for build.log just gives a 404 error.

From your 2nd build.log:
Code:
libgnome-desktop/gnome-desktop-utils.h: No such file or directory

Sounds like it wants gnome-desktop 3.6.whatever

Just in case: Stick to 3.6, don't mix with gnome 3.8 - things change too much.
Back to top
View user's profile Send private message
shanehou
n00b
n00b


Joined: 13 Jul 2013
Posts: 29

PostPosted: Thu Aug 15, 2013 1:33 pm    Post subject: Reply with quote

PaulBredbury wrote:
Your first URL for build.log just gives a 404 error.

From your 2nd build.log:
Code:
libgnome-desktop/gnome-desktop-utils.h: No such file or directory

Sounds like it wants gnome-desktop 3.6.whatever

Just in case: Stick to 3.6, don't mix with gnome 3.8 - things change too much.


Sorry I made some mistakes about error describing... I have corrected it.

So you mean I should downgrade gnome to 3.6 too?
_________________
A man with two right arms.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum